---
updatedAt: 2026-05-15T09:04:24.000Z
agentTools:
  projectIndex: https://docs.ortex.com/llms.txt
---

# Summary

 

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "ORTEX APIs",
    "version": "1.0",
    "description": "A revolutionary global equity analytics platform which identifies and analyses relevant data for your stocks."
  },
  "paths": {
    "/api/v1/stock/{exchange_symbol}/{ticker}/fundamentals/summary": {
      "get": {
        "operationId": "stock_fundamentals_summary_retrieve",
        "description": " ",
        "summary": "Summary",
        "parameters": [
          {
            "in": "path",
            "name": "exchange_symbol",
            "schema": {
              "type": "string"
            },
            "description": "Exchange symbol (e.g. \"nyse\", \"nasdaq\"), MIC code (e.g. \"xnys\", \"xnas\") or two character ISO country code (e.g \"us\", \"ca\" for ALL country exchanges)",
            "required": true,
            "examples": {
              "NewYorkStockExchangeSymbol": {
                "value": "nyse",
                "summary": "New York Stock Exchange symbol"
              },
              "NASDAQSymbol": {
                "value": "nasdaq",
                "summary": "NASDAQ symbol"
              },
              "NewYorkStockExchangeMICCode": {
                "value": "xnys",
                "summary": "New York Stock Exchange MIC code"
              },
              "NASDAQMICCode": {
                "value": "xnas",
                "summary": "NASDAQ MIC code"
              },
              "AllUSExchanges": {
                "value": "us",
                "summary": "All US exchanges"
              },
              "AllCanadianExchanges": {
                "value": "ca",
                "summary": "All Canadian exchanges"
              }
            }
          },
          {
            "in": "query",
            "name": "period",
            "schema": {
              "type": "string"
            },
            "description": "Year (yyyy) or year and quarter (yyyyQq). Examples: 2022,  2022Q3. If using a trial api key, a sample output will be returned for period 2021.",
            "required": true
          },
          {
            "in": "path",
            "name": "ticker",
            "schema": {
              "type": "string"
            },
            "description": "Ticker symbol",
            "required": true
          }
        ],
        "tags": [
          "Fundamentals"
        ],
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "additionalProperties": {},
                  "description": "Unspecified response body"
                },
                "examples": {
                  "FundamentalsActualValues": {
                    "value": {
                      "company": "Your selected company",
                      "period": "2021",
                      "category": "summary",
                      "data": {
                        "estimatedValues": false,
                        "revenue": 2527900000,
                        "revenueGrowthPctYoy": 103.469,
                        "ev/revenue": 9.153223,
                        "grossProfit": -132300000,
                        "grossProfitMarginPct": -5.2335,
                        "ev/grossProfit": -174.893674,
                        "ebitda": -413400000,
                        "ebitdaMarginPct": -16.3534,
                        "ev/ebitda": -55.971053,
                        "netIncome": -1269100000,
                        "normalizedNetIncome": -763550000,
                        "netIncomeMarginPct": -50.2037,
                        "dilutedEps": -23.455613,
                        "eps": -23.455613,
                        "price/earnings": -10.232095,
                        "marketCap": 13979733117,
                        "cashAndCashEquivalents": 1620300000,
                        "netDebt": 9158600000,
                        "debt": 10751100000,
                        "enterpriseValue": 23138433117,
                        "cashflowFromOperation": -614100000,
                        "cashflowFromInvesting": -68200000,
                        "cashflowFromFinancing": 1990700000,
                        "capitalExpenditures": -100600000,
                        "researchAndDevelopment": null,
                        "numberOfEmployees": 17122
                      },
                      "creditsUsed": 0.15,
                      "creditsLeft": 9.85
                    },
                    "summary": "Fundamentals annual sample with actuals"
                  },
                  "FundamentalsEstimatedValues": {
                    "value": {
                      "company": "Your selected company",
                      "period": "2024Q4",
                      "category": "summary",
                      "data": {
                        "estimatedValues": true,
                        "revenue": 1295308910,
                        "revenueGrowthPctYoy": null,
                        "ev/revenue": null,
                        "grossProfit": null,
                        "grossProfitMarginPct": null,
                        "ev/grossProfit": null,
                        "ebitda": 128819240,
                        "ebitdaMarginPct": null,
                        "ev/ebitda": null,
                        "netIncome": -67711340,
                        "normalizedNetIncome": -62633330,
                        "netIncomeMarginPct": null,
                        "dilutedEps": null,
                        "eps": -0.16,
                        "price/earnings": null,
                        "marketCap": null,
                        "cashAndCashEquivalents": null,
                        "netDebt": 3872374500,
                        "debt": null,
                        "enterpriseValue": null,
                        "cashflowFromOperation": 106900000,
                        "cashflowFromInvesting": null,
                        "cashflowFromFinancing": null,
                        "capitalExpenditures": -50000000,
                        "researchAndDevelopment": null,
                        "numberOfEmployees": null
                      },
                      "creditsUsed": 0.15,
                      "creditsLeft": 9.85
                    },
                    "summary": "Fundamentals quarter sample with estimates"
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "description": "Invalid request parameters"
          },
          "403": {
            "description": "Not authorized"
          },
          "404": {
            "description": "Data not found"
          },
          "429": {
            "description": "Rate limit exceeded"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Ortex-Api-Key",
        "description": "Use test API key: `TEST` to get a limited result."
      }
    }
  },
  "servers": [
    {
      "url": "https://api.ortex.com/",
      "description": "Production"
    }
  ]
}
```